
Redmine - Defect #13410

rake ci and bundler error

2013-03-09 11:03 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

when i try to run a 'rake ci' on branch 2.3-stable i get the following output

daniel@daniel-pc ~/Workspace/rd_stable (git::2.3-stable) $ rake ci

redmine_development already exists

redmine_test already exists

NOTICE:  CREATE TABLE will create implicit sequence "attachments_id_seq" for serial column "attach

ments.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "attachments_pkey" for table "attac

hments" 

NOTICE:  CREATE TABLE will create implicit sequence "auth_sources_id_seq" for serial column "auth_

sources.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "auth_sources_pkey" for table "auth

_sources" 

NOTICE:  CREATE TABLE will create implicit sequence "boards_id_seq" for serial column "boards.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "boards_pkey" for table "boards" 

NOTICE:  CREATE TABLE will create implicit sequence "changes_id_seq" for serial column "changes.id

" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changes_pkey" for table "changes" 

NOTICE:  CREATE TABLE will create implicit sequence "changesets_id_seq" for serial column "changes

ets.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "changesets_pkey" for table "change

sets" 

NOTICE:  CREATE TABLE will create implicit sequence "comments_id_seq" for serial column "comments.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "comments_pkey" for table "comments

" 

NOTICE:  CREATE TABLE will create implicit sequence "custom_fields_id_seq" for serial column "cust

om_fields.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "custom_fields_pkey" for table "cus

tom_fields" 

NOTICE:  CREATE TABLE will create implicit sequence "custom_values_id_seq" for serial column "cust

om_values.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "custom_values_pkey" for table "cus

tom_values" 

NOTICE:  CREATE TABLE will create implicit sequence "documents_id_seq" for serial column "document

s.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "documents_pkey" for table "documen

ts" 

NOTICE:  CREATE TABLE will create implicit sequence "enabled_modules_id_seq" for serial column "en

abled_modules.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "enabled_modules_pkey" for table "e

nabled_modules" 

NOTICE:  CREATE TABLE will create implicit sequence "enumerations_id_seq" for serial column "enume

rations.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "enumerations_pkey" for table "enum

erations" 

NOTICE:  CREATE TABLE will create implicit sequence "issue_categories_id_seq" for serial column "i

ssue_categories.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "issue_categories_pkey" for table "

issue_categories" 

NOTICE:  CREATE TABLE will create implicit sequence "issue_relations_id_seq" for serial column "is
sue_relations.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "issue_relations_pkey" for table "i

ssue_relations" 

NOTICE:  CREATE TABLE will create implicit sequence "issue_statuses_id_seq" for serial column "iss

ue_statuses.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "issue_statuses_pkey" for table "is

sue_statuses" 

NOTICE:  CREATE TABLE will create implicit sequence "issues_id_seq" for serial column "issues.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "issues_pkey" for table "issues" 

NOTICE:  CREATE TABLE will create implicit sequence "journal_details_id_seq" for serial column "jo

urnal_details.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "journal_details_pkey" for table "j

ournal_details" 

NOTICE:  CREATE TABLE will create implicit sequence "journals_id_seq" for serial column "journals.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "journals_pkey" for table "journals

" 

NOTICE:  CREATE TABLE will create implicit sequence "member_roles_id_seq" for serial column "membe

r_roles.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "member_roles_pkey" for table "memb

er_roles" 

NOTICE:  CREATE TABLE will create implicit sequence "members_id_seq" for serial column "members.id

" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "members_pkey" for table "members" 

NOTICE:  CREATE TABLE will create implicit sequence "messages_id_seq" for serial column "messages.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "messages_pkey" for table "messages

" 

NOTICE:  CREATE TABLE will create implicit sequence "news_id_seq" for serial column "news.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "news_pkey" for table "news" 

NOTICE:  CREATE TABLE will create implicit sequence "open_id_authentication_associations_id_seq" f

or serial column "open_id_authentication_associations.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "open_id_authentication_association

s_pkey" for table "open_id_authentication_associations" 

NOTICE:  CREATE TABLE will create implicit sequence "open_id_authentication_nonces_id_seq" for ser

ial column "open_id_authentication_nonces.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "open_id_authentication_nonces_pkey

" for table "open_id_authentication_nonces" 

NOTICE:  CREATE TABLE will create implicit sequence "projects_id_seq" for serial column "projects.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "projects_pkey" for table "projects

" 

NOTICE:  CREATE TABLE will create implicit sequence "queries_id_seq" for serial column "queries.id

" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "queries_pkey" for table "queries" 

NOTICE:  CREATE TABLE will create implicit sequence "repositories_id_seq" for serial column "repos

itories.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "repositories_pkey" for table "repo

sitories" 

NOTICE:  CREATE TABLE will create implicit sequence "roles_id_seq" for serial column "roles.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "roles_pkey" for table "roles" 

NOTICE:  CREATE TABLE will create implicit sequence "settings_id_seq" for serial column "settings.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "settings_pkey" for table "settings

" 

NOTICE:  CREATE TABLE will create implicit sequence "time_entries_id_seq" for serial column "time_

entries.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "time_entries_pkey" for table "time

_entries" 

NOTICE:  CREATE TABLE will create implicit sequence "tokens_id_seq" for serial column "tokens.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "tokens_pkey" for table "tokens" 

NOTICE:  CREATE TABLE will create implicit sequence "trackers_id_seq" for serial column "trackers.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "trackers_pkey" for table "trackers

" 

NOTICE:  CREATE TABLE will create implicit sequence "user_preferences_id_seq" for serial column "u

ser_preferences.id" 
NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "user_preferences_pkey" for table "

user_preferences" 

NOTICE:  CREATE TABLE will create implicit sequence "users_id_seq" for serial column "users.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "users_pkey" for table "users" 

NOTICE:  CREATE TABLE will create implicit sequence "versions_id_seq" for serial column "versions.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "versions_pkey" for table "versions

" 

NOTICE:  CREATE TABLE will create implicit sequence "watchers_id_seq" for serial column "watchers.

id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "watchers_pkey" for table "watchers

" 

NOTICE:  CREATE TABLE will create implicit sequence "wiki_content_versions_id_seq" for serial colu

mn "wiki_content_versions.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "wiki_content_versions_pkey" for ta

ble "wiki_content_versions" 

NOTICE:  CREATE TABLE will create implicit sequence "wiki_contents_id_seq" for serial column "wiki

_contents.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "wiki_contents_pkey" for table "wik

i_contents" 

NOTICE:  CREATE TABLE will create implicit sequence "wiki_pages_id_seq" for serial column "wiki_pa

ges.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "wiki_pages_pkey" for table "wiki_p

ages" 

NOTICE:  CREATE TABLE will create implicit sequence "wiki_redirects_id_seq" for serial column "wik

i_redirects.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "wiki_redirects_pkey" for table "wi

ki_redirects" 

NOTICE:  CREATE TABLE will create implicit sequence "wikis_id_seq" for serial column "wikis.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "wikis_pkey" for table "wikis" 

NOTICE:  CREATE TABLE will create implicit sequence "workflows_id_seq" for serial column "workflow

s.id" 

NOTICE:  CREATE TABLE / PRIMARY KEY will create implicit index "workflows_pkey" for table "workflo

ws" 

There was an error in your Gemfile, and Bundler cannot continue.

There was an error in your Gemfile, and Bundler cannot continue.

There was an error in your Gemfile, and Bundler cannot continue.

Errors running test:units! #<RuntimeError: Command failed with status (4): [ruby -I"lib:test" -I"/

home/daniel/.rvm/gems/ruby-1.9.3-p392@global/gems/rake-10.0.3/lib" "/home/daniel/.rvm/gems/ruby-1.

9.3-p392@global/gems/rake-10.0.3/lib/rake/rake_test_loader.rb" "test/unit/**/*_test.rb" ]>

Errors running test:functionals! #<RuntimeError: Command failed with status (4): [ruby -I"lib:test

" -I"/home/daniel/.rvm/gems/ruby-1.9.3-p392@global/gems/rake-10.0.3/lib" "/home/daniel/.rvm/gems/r

uby-1.9.3-p392@global/gems/rake-10.0.3/lib/rake/rake_test_loader.rb" "test/functional/**/*_test.rb

" ]>

Errors running test:integration! #<RuntimeError: Command failed with status (4): [ruby -I"lib:test

" -I"/home/daniel/.rvm/gems/ruby-1.9.3-p392@global/gems/rake-10.0.3/lib" "/home/daniel/.rvm/gems/r

uby-1.9.3-p392@global/gems/rake-10.0.3/lib/rake/rake_test_loader.rb" "test/integration/**/*_test.r

b" ]>

History

#1 - 2013-03-09 11:09 - Anonymous

rvm info

daniel@daniel-pc ~/Workspace/rd_stable (git::2.3-stable) $ rvm info

ruby-1.9.3-p392@rd_stable:

  system:

    uname:       "Linux daniel-pc 3.5.0-25-generic #39-Ubuntu SMP Mon Feb 25 18:26:58 UTC 2013 x86_64 x86_64 x

86_64 GNU/Linux" 

    system:      "ubuntu/12.10/x86_64" 

    bash:        "/bin/bash => GNU bash, version 4.2.37(1)-release (x86_64-pc-linux-gnu)" 

    zsh:         " => not installed" 

  rvm:

    version:      "rvm 1.18.18 () by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com>

 [https://rvm.io/]" 
    updated:      "8 hours 32 minutes 10 seconds ago" 

  ruby:

    interpreter:  "ruby" 

    version:      "1.9.3p392" 

    date:         "2013-02-22" 

    platform:     "x86_64-linux" 

    patchlevel:   "2013-02-22 revision 39386" 

    full_version: "ruby 1.9.3p392 (2013-02-22 revision 39386) [x86_64-linux]" 

  homes:

    gem:          "/home/daniel/.rvm/gems/ruby-1.9.3-p392@rd_stable" 

    ruby:         "/home/daniel/.rvm/rubies/ruby-1.9.3-p392" 

  binaries:

    ruby:         "/home/daniel/.rvm/rubies/ruby-1.9.3-p392/bin/ruby" 

    irb:          "/home/daniel/.rvm/rubies/ruby-1.9.3-p392/bin/irb" 

    gem:          "/home/daniel/.rvm/rubies/ruby-1.9.3-p392/bin/gem" 

    rake:         "/home/daniel/.rvm/gems/ruby-1.9.3-p392@global/bin/rake" 

  environment:

    PATH:         "/home/daniel/.rvm/gems/ruby-1.9.3-p392@rd_stable/bin:/home/daniel/.rvm/gems/ruby-1.9.3-p392

@global/bin:/home/daniel/.rvm/rubies/ruby-1.9.3-p392/bin:/home/daniel/.rvm/bin:/usr/local/heroku/bin:/usr/lib/

lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games" 

    GEM_HOME:     "/home/daniel/.rvm/gems/ruby-1.9.3-p392@rd_stable" 

    GEM_PATH:     "/home/daniel/.rvm/gems/ruby-1.9.3-p392@rd_stable:/home/daniel/.rvm/gems/ruby-1.9.3-p392@glo

bal" 

    MY_RUBY_HOME: "/home/daniel/.rvm/rubies/ruby-1.9.3-p392" 

    IRBRC:        "/home/daniel/.rvm/rubies/ruby-1.9.3-p392/.irbrc" 

    RUBYOPT:      "" 

    gemset:       "rd_stable" 

 bundle check

daniel@daniel-pc ~/Workspace/rd_stable (git::2.3-stable) $ bundle check

The Gemfile's dependencies are satisfied

#2 - 2013-03-09 19:44 - Anonymous

- File gem.patch added

- Status changed from New to Resolved

patch!

#3 - 2013-03-09 23:38 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

source:/branches/2.3-stable/Gemfile#L40 already require yaml gem?

Files

gem.patch 652 Bytes 2013-03-09 Anonymous
